********************************************************************************
* This code is used to replicate the findings in Ru, Hong, 2018, Government Credit, a Double-Edged Sword: Evidence from the China Development Bank, Journal of Finance 73.1, 275-316.

* Replicate Table III Panel A using 50% random sample, predicted turnover results (columns 4-6). All variables are demeaned by politician ID. 
*version 17.0
********************************************************************************

clear
set more off
cd "Please put the data and code under the same directory"

use TableIII.dta,clear

global Control `"GDP_Lag Urban_Income_Lag Fiscal_Income_Lag Labor_Lag"'
global Std `"cluster(city_id)"'


outreg2 using TableIII.xls, e(all) excel bdec(3) drop(_I* o._*) replace: reg LogLoan YL_2-YL_6 $Control _I*, $Std
outreg2 using TableIII.xls, e(all) excel bdec(3) drop(_I* o._*) : reg LogLoanINF YL_2-YL_6 $Control _I*, $Std
outreg2 using TableIII.xls, e(all) excel bdec(3) drop(_I* o._*) : reg LogLoanIND YL_2-YL_6 $Control _I*, $Std
